Subject: Re: New patch available -- ZSH anyone?
From: [email-masked] (Chris Faylor)

1 Aug 1997 17:41:10 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

With Sergey's new cygwin (plus my changes) it is now possible to produce
a working version of ZSH.  I'll probably be putting a binary on my
web site soon.

I haven't tried in a while, but I think ZSH may just configure "out of the
box", too.

This is just a heads up for anyone who wants to try building ZSH now.

In article <[email-masked]>,
Sergey Okhapkin  <[email-masked]> wrote:
>- console code no longer alway translates CR to NL when tty support is 
>enabled. The behavior depends now of termios settings.
>- signals should terminate blocking socket calls.
>- Chris Faylor's ([email-masked]) patch for wait and SIGCHLD raising logic - 
>cygwin processes now waits non-cygwin processes correctly, no more time 
>races problems with SIGCHLD raising and process's exit.
>- utmp/wtmp files are filled now for every cygwin's session (both local 
>session and telnet session). "Who" command works now. Create /var/run and 
>/var/log directories to enable utmp logging.
>- syslog() call handles now %m macro.
>- signal raising keys (ctrl-C, ctrl-\ etc) restarts suspended tty output.
>
>New internet servers/clients added to remote.tar.gz
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".